Die BPC Version 4.1 wird nicht mehr gewartet.

Sollten Sie diese BPC Version nutzen, empfehlen wir Ihnen eine Migration auf eine aktuelle Version. Die Dokumentation zur neusten BPC Version finden Sie hier. Sollten Sie Fragen haben, wenden Sie sich bitte an unseren Support.

Method Endpoint

GET

/cxf/bpc-core/status

Description

Get the status of the local BPC server.

Returns

Depending on the user session more or less data is returned as JSON.

HTTP Status Code

  • 200 : OK

Content-Type

  • application/json

Required Access Rights

Can be used without a user session.

GET

/cxf/bpc-core/status/server/{serverUUID}

Description

Get the status of a remote BPC server.

Path Parameter

serverUUID

the UUID of the BPC server to get the status for

Returns

The requested data as JSON.

HTTP Status Code

  • 200 : OK

Content-Type

  • application/json

Required Access Rights

Can be used without a user session.

GET

/cxf/bpc-core/status/health

Description

Get the following health infos in one call:

  • status of loaded bundles

  • maintenance mode status

  • OpenSearch status

Returns

HTTP Status Code

  • 200 : When all 3 health status are fine

  • 503 : When not all 3 health status are fine

Required Access Rights

Can be used without a user session.

GET

/cxf/bpc-core/status/bpc

Description

Get the status of all loaded BPC modules/bundles.

Returns

HTTP Status Code

  • 200 : Karaf is running and all BPC modules are not in state 'Resolved' and not in state 'Failure`

  • 503 : At least one BPC module is in state 'Resolved' or 'Failure'

Required Access Rights

Can be used without a user session.

GET

/cxf/bpc-core/status/maintenance

Description

Get the maintenance mode status.

Returns

HTTP Status Code

  • 200 : BPC is not in maintenance mode

  • 503 : BPC is in maintenance mode

Required Access Rights

Can be used without a user session.

GET

/cxf/bpc-core/status/opensearch

Description

Get the OpenSearch status.

Returns

HTTP Status Code

  • 200 : OK

  • 503 : No connection to OpenSearch

  • 503 : No nodes available

  • 503 : Cluster health status is 'red'

Required Access Rights

Can be used without a user session.

GET

/cxf/bpc-core/status/sessions

Description

Get a list of all sessions.

Returns

The requested data as JSON.

HTTP Status Code

  • 200 : OK

Content-Type

  • application/json

Required Access Rights

The logged in user or API Key must have either the following role or right.

  • Right : getSessionStatus

GET

/cxf/bpc-core/status/clustermaster

Description

To check if this is the BPC master server.

Returns

HTTP Status Code

  • 200 : BPC is the master server

  • 503 : BPC is not the master server

Required Access Rights

Can be used without a user session.